Commet
  • Pricing
Log InTry out
Add feature to plan POSTAdd price to plan POSTCreate plan POSTDelete plan price DELETEDelete plan DELETEDelete regional prices DELETEGet plan GETList plans GETRemove feature from plan DELETESet default price PUTSet plan visibility PUTUpdate plan feature PUTUpdate plan price PUTUpdate plan PUTUpsert regional prices PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Delete regional prices

Remove all regional currency overrides for a plan price.

Delete plan DELETE

Soft-delete a plan.

Get plan GET

Get detailed plan information by code or ID.

DELETE
/plans/{id}/prices/{priceId}/regional

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string
priceId*string

Response Body

application/json

application/json

curl -X DELETE "https://commet.co/api/v1/plans/string/prices/string/regional"

Remove all regional currency overrides for a plan price.

Plan public ID

Price public ID

{
  "success": true,
  "data": {
    "deleted": true
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}